Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
123to
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 31.05.2014
Postitused: 71

Distributsioon: Xubuntu 14.04, 18.04
estonia.gif
postituspostitatud: 03.04.2018, 20:37  postituse pealkiri:  (teema puudub)  

testi sellega https://hwcrypto.github.io/hwcrypto.js/sign.html


hunt_1
Pingviini aktivist
Pingviini aktivist



Liitunud: 24.07.2009
Postitused: 296

Distributsioon: Mageia 6 mate 64-bit
estonia.gif
postituspostitatud: 03.04.2018, 21:27  postituse pealkiri:  (teema puudub)  

Sain tööle.
Puudu oli chrome-token-signing 1.0.6.
Üritas kasutada EstEID pluginat - seda enam vaja ei ole.


vatson
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 01.03.2009
Postitused: 35

Distributsioon: openSUSE
estonia.gif
postituspostitatud: 04.05.2018, 07:18  postituse pealkiri:  (teema puudub)  

Jagan oma kummalist kogemust sest huvitav oleks teada kas ma olen ainus.

Olen oma arust päris piisavalt kokku puutunud sellega kuidas uus ID-kaart Linuxis tööle saada. Paarile "kliendile" kes endale uue ID-kaardi said on see asi ära tehtud ja kõik neil toimib. Nüüd hiljuti aegus ka mu enda vana kaart ja sain uue. Mis seal ikka, mõtlesin, same procedure. Oma arvutis oli mul juba olemas seesama git snapshotist ehitatud OpenSC mida olen teistelegi paigaldanud, ja ka ID-tarkvara piisavalt uus versioon. Pistsin kaardi arvutisse, haldusvahend luges kaardi välja. Üritasin siis brauseriga kuhugi veebilehele siseneda, see aga käitus nii nagu kaarti ei oleks lugejas. Uuesti ID-kaardi haldusvahendit proovides see enam kaarti välja ei lugenud. Käsk `pkcs15-tool --list-certificates`andis vastuseks `Card is invalid or cannot be handled`. Of course I did try turning it off and on again.

Järgmisel päeval võtsin kaardi töö juurde kaasa ja proovisin seda teadaolevalt toimiva tarkvaraga Windows-arvutis, seal samuti haldusvahend kaarti välja ei lugenud. Samuti ei tunnistanud seda kaarti kliendikaardina Olerexi tankla.

Mis seal ikka, mõtlesin, ju juhtus mingi imelik jama, ja tellisin veel kord uue kaardi. Sellega aga kordus sama - korraks kaart töötas ja siis keeldus igasugusest koostööst. Saatsin logisid abi@id.ee aadressile, sealt tuli vastus et logide kohaselt on kaart kiibi tasemel lukustunud.

Kuna ainus vähegi ebastandardne asi mida ma oma ID-kaardiga teen on "mitteametliku" OpenSC kasutamine siis mõtlesingi uurida et äkki mõnel siinsel kolleegil on veel sarnast kogemust. SK soovitusel kompileerisin uuema OpenSC (0.18-rc1) ja lähen oma surnud kaarti PPA-le näitama, näis siis mis saab.


123to
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 31.05.2014
Postitused: 71

Distributsioon: Xubuntu 14.04, 18.04
estonia.gif
postituspostitatud: 05.05.2018, 10:28  postituse pealkiri:  (teema puudub)  

hetkel uusim https://github.com/OpenSC/OpenSC/releases/tag/0.18.0-rc2

lasin selle Xubuntu 18.04 i386 peal kokku ja töötab korralikult
https://hwcrypto.github.io/hwcrypto.js/sign.html

lisandunud on teavitused kui mingi programm kaarti kasutada tahab

mul on uuendatud sertidega vanem kaart

$ opensc-tool -i -l -n --list-algorithms

OpenSC 0.18.0 [gcc 7.3.0]
Enabled features: locking zlib readline openssl pcsc(libpcsclite.so.1)
# Detected readers (pcsc)
Nr. Card Features Name
0 Yes SCM Microsystems Inc. SCR3340 - ExpressCard54 Smart Card Reader [CCID Interface] (00000000000000) 00 00
EstEID 3.5 cold
Algorithm: rsa
Key length: 2048
Flags: padding ( pkcs1 ) hashes ( sha1 sha256 )

Algorithm: ec
Key length: 384
Flags:


al(tm)
Pingviini kasutaja
Pingviini kasutaja


Vanus: 47
Liitunud: 28.03.2017
Postitused: 37
Asukoht: Tartu

estonia.gif
postituspostitatud: 06.05.2018, 08:23  postituse pealkiri:  (teema puudub)  

Fedora 27 > 28 uuendamisel jääb kõik ilusti tööle.

lihtsalt infona, opensc on vaikimisi kaasatulev 0.17, sellega igatahes töötab hetkel nii uus kui ka vana kaart, eile sai just riigiportaalis vaheldumisi kahe isikuga käidud ja asju allkirjastatud. ainult browser sai vahepeal kinni pandud, muidu toimis kui kellavärk.


Kaar3l
Vana Pingviin
Vana Pingviin


Vanus: 30
Liitunud: 07.05.2007
Postitused: 689
Asukoht: Plv
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 13.05.2018, 00:15  postituse pealkiri:  (teema puudub)  

Lasin just hiljuti Manjaro peale. Lasin siis kõik ID kaardi pakid AUR-ist ka peale ja kurivaim ei toiminud. Lõpuks avastasin ka, et allkiri ka ei toiminud. Leidsin, et on patchimata opensc kasutusel. Kompilleerisin opensc 0.18.0 RC-2 ning asi toimetab. Antud teemast on abi.

Lisaks FF-is pidin lisama security module and device ja asukohaga: /usr/lib/pkcs11/onepin-opensc-pkcs11.so
Hetkel ei õnnestu tööle saada Chromiumis id kaarti.

_________________
Hyva päiva!

123to
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 31.05.2014
Postitused: 71

Distributsioon: Xubuntu 14.04, 18.04
estonia.gif
postituspostitatud: 13.05.2018, 08:20  postituse pealkiri:  (teema puudub)  

chromium otsib teistest kohtadest, ubuntus pidi tegema:

sudo mkdir /etc/chromium-browser/native-messaging-hosts
sudo ln -s /etc/opt/chrome/native-messaging-hosts/ee.ria.esteid.json /etc/chromium-browser/native-messaging-hosts
sudo mkdir /usr/share/chromium-browser/extensions
sudo ln -s /opt/google/chrome/extensions/ckjefchnfjhjfedoccjbhjpbncimppeg.json /usr/share/chromium-browser/extensions


prapor
Uus kasutaja
Uus kasutaja



Liitunud: 14.05.2018
Postitused: 2
Asukoht: Karlsruhe
Distributsioon: Bionic
germany.gif
postituspostitatud: 14.05.2018, 22:55  postituse pealkiri:  ID ja Ubuntu 18.04  

Ehk on probleemi taga kroonu-ITimeeste tegematajämine, aga ID kaardi tarkvara installides viskab ette säärase teksti:

Adding RIA repository to APT sources list (/etc/apt/sources.list.d/ria-repository.list)
[sudo] Passwort für hardi:
deb https://installer.id.ee/media/ubuntu/ bionic main
Adding key to trusted key set (apt-key add)
0x592073D4 'RIA Software Signing Key <signing@ria.ee>'
OK
0xC6C83D68 'RIA Software Signing Key <signing@ria.ee>'
OK
Installing software (apt-get update && apt-get install open-eid)
Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
OK:2 http://de.archive.ubuntu.com/ubuntu bionic InRelease
OK:3 http://dl.google.com/linux/chrome/deb stable Release
Ign:4 https://installer.id.ee/media/ubuntu bionic InRelease
Fehl:5 https://installer.id.ee/media/ubuntu bionic Release
404 Not Found [IP: 213.184.32.94 443]
Paketlisten werden gelesen... Fertig
E: Das Depot »https://installer.id.ee/media/ubuntu bionic Release« enthält keine Release-Datei.
N: Eine Aktualisierung von solch einem Depot kann nicht auf eine sichere Art durchgeführt werden, daher ist es standardmäßig deaktiviert.
N: Weitere Details zur Erzeugung von Paketdepots sowie zu deren Benutzerkonfiguration finden Sie in der Handbuchseite apt-secure(Cool.

Kas saab skripti kuidagi ära petta?


123to
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 31.05.2014
Postitused: 71

Distributsioon: Xubuntu 14.04, 18.04
estonia.gif
postituspostitatud: 15.05.2018, 07:20  postituse pealkiri:  Re: ID ja Ubuntu 18.04  

prapor kirjutas:
Kas saab skripti kuidagi ära petta?


bionic'ule ei ole veel RIA paketti välja lasknud ja artful'i ega varasemad pakid ei installeeru.

Saab ainult ise kompileerida, eespool palju viiteid.


prapor
Uus kasutaja
Uus kasutaja



Liitunud: 14.05.2018
Postitused: 2
Asukoht: Karlsruhe
Distributsioon: Bionic
germany.gif
postituspostitatud: 15.05.2018, 22:16  postituse pealkiri:  Bionic ja SCR243 kaardilugeja  

Tänu vanemate pingviinitallajate kogemustele sain ID kaardi tarkvara kompileeritud. Järgmine mure on PCMCIA kaardilugeja SCR243 käimasaamine. Kas selleks üldse on võimalusi, kui tootja kodulehel pakutavad draiverid kehtivad 32-bitisele Linuxile ja 2.6 kernelile?

xxx@R61:~$ lspcmcia -v
Socket 0 Bridge: [yenta_cardbus] (bus ID: 0000:15:00.0)
Configuration: state: on ready: unknown
Voltage: 5.0V
Vcc: 5.0V
Vpp: 0.0V

Socket 0 Device 0: [scr24x_cs] (bus ID: 0.0)
Configuration: state: on
[io 0x8100-0x810f flags 0x100]
[io 0x0000 flags 0x100]
[mem 0x00000000 flags 0x200]
[mem 0x00000000 flags 0x200]
[mem 0x00000000 flags 0x200]
[mem 0x00000000 flags 0x200]

Product Name: SCR243 PCMCIA
Smart Card Reader

Identification: manf_id: 0xffff card_id: 0x0001
prod_id(1): "SCR243 PCMCIA
" (0x819e4225)
prod_id(2): "Smart Card Reader
" (0xf5fa6d5a)
prod_id(3): --- (---)
prod_id(4): --- (---)

xxx@R61:~$ opensc-tool -l
No smart card readers found.


123to
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 31.05.2014
Postitused: 71

Distributsioon: Xubuntu 14.04, 18.04
estonia.gif
postituspostitatud: 16.05.2018, 11:02  postituse pealkiri:  (teema puudub)  

ma ise ei ole 32bit drivereid 64bit keskkonnas kasutada üritanud aga puuduva driveriga CM4040 lugeja sain 32bit keskkonnas tööle järgmiselt:

koeerisin tootja lehelt leitud driveri kataloogi:

/usr/lib/pcsc/drivers/ifdok_cm4040_lnx-2.0.0.so

lisasin faili:
/etc/reader.conf.d/cm4040.conf

järgneva sisuga:

FRIENDLYNAME "Omnikey CardMan 4040 Socket 0"
DEVICENAME /dev/cmx0
LIBPATH /usr/lib/pcsc/drivers/ifdok_cm4040_lnx-2.0.0.so
CHANNELID 0

seejärel:

sudo /etc/init.d/pcscd restart

võimalik, et saad tööle kui lisad vajalikud 32bit librad
kui ei saa siis on variant installida virtuaalkeskkonda 32 bit xubuntu või mõni teine 32bit kui ressurssi jagub


Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group